package com.mortals.xhx.module.device.service;

import com.mortals.framework.common.Rest;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.device.model.DeviceAlarmInfoEntity;

import java.util.List;

/**
 * DeviceAlarmInfoService
 * <p>
 * 设备告警日志 service接口
 *
 * @author zxfei
 * @date 2022-06-27
 */
public interface DeviceAlarmInfoService extends ICRUDService<DeviceAlarmInfoEntity, Long> {


    Rest<DeviceAlarmInfoEntity> alarmStats(DeviceAlarmInfoEntity deviceAlarmInfo, Context context);
    Rest<List<DeviceAlarmInfoEntity>> alarmStatList(DeviceAlarmInfoEntity deviceAlarmInfo, Context context);
}